<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
@author: fredy.wilches
@modifiedBy: fabio.navarrete
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1" width="100%">
    <h:panelGrid columns="10" border="0" width="100%">

        <h:outputLabel value="Nro. solicitud: " for="numeroSolicitud"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroSolicitud"
                     disabled="#{gestionarSolicitud.solicitud.id ne null}"
                     value="#{gestionarSolicitud.solicitud.numero}" size="20"
                     maxlength="20" readonly="true" />

        <h:panelGroup>
            <h:outputLabel value="Fecha solicitud:" for="fechaSolicitud"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2">
            <p:calendar id="fechaSolicitud" effect="explode" 
                        value="#{gestionarSolicitud.solicitud.fecha}" navigator="true"
                        label="Fecha de solicitud" pattern="#{general.formatoFecha}"
                        showOn="both" disabled="#{!gestionarSolicitud.editando or gestionarSolicitud.solicitud.id ne null}"
                        required="true" title="#{general.formatoFechaUsuario}" />
            <p:message for="fechaSolicitud" display="icon"></p:message>
        </h:panelGrid>


        <h:outputLabel value="Finalizado: " for="finalizado"
                       styleClass="outputLabelStyle" />
        <h:selectBooleanCheckbox id="finalizado"
                                 value="#{gestionarSolicitud.solicitud.finalizadoJSF}"
                                 disabled="#{!gestionarSolicitud.editando or gestionarSolicitud.solicitud.id ne null}" />

        <h:panelGroup>
            <h:outputLabel value="Folios:" for="folios"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGroup>

        <h:panelGrid columns="2">
            <h:inputText id="folios"
                         value="#{gestionarSolicitud.solicitud.folios}" size="4"
                         maxlength="4" 
                         disabled="#{!gestionarSolicitud.editando or gestionarSolicitud.solicitud.id ne null}"
                         required="true" label="Folios" />
            <p:message for="folios" display="icon"></p:message>
        </h:panelGrid>

        <h:panelGroup>
            <h:outputLabel value="Anexos:" for="anexos"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGroup>

        <h:panelGrid columns="2">
            <h:inputText id="anexos"
                         value="#{gestionarSolicitud.solicitud.anexos}" size="4"
                         maxlength="4" 
                         disabled="#{!gestionarSolicitud.editando or gestionarSolicitud.solicitud.id ne null}"
                         required="true" label="Anexos" />
            <p:message for="anexos" display="icon"></p:message>
        </h:panelGrid>

    </h:panelGrid>
    <h:panelGrid columns="2" border="0">

        <h:outputLabel value="Tipo documento correspondencia: "
                       styleClass="outputLabelStyle" for="tipoDocumentoCorrespondencia" />
        <h:selectOneMenu id="tipoDocumentoCorrespondencia"
                         value="#{gestionarSolicitud.solicitud.tipoDocumentoCorrespondencia}"
                         disabled="#{!gestionarSolicitud.editando or gestionarSolicitud.solicitud.id ne null}">
            <f:selectItems
                value="#{gestionarSolicitud.tiposDoctoCorrespondencia}" />
        </h:selectOneMenu>

    </h:panelGrid>
    <h:panelGrid columns="4" width="100%">


        <h:outputLabel value="Asunto: " for="asunto"
                       styleClass="outputLabelStyle" />
        <h:inputTextarea id="asunto" onkeydown="controlarNroChars(this, 600, true)"
                         onkeyup="controlarNroChars(this, 600, true)"
                         value="#{gestionarSolicitud.solicitud.asunto}" cols="70" rows="3"
                         disabled="#{!gestionarSolicitud.editando or gestionarSolicitud.solicitud.id ne null}" >
        </h:inputTextarea>


        <h:outputLabel value="Observaciones: " for="observaciones"
                       styleClass="outputLabelStyle" />
        <h:inputTextarea id="observaciones" onkeydown="controlarNroChars(this, 2000, true)"
                         onkeyup="controlarNroChars(this, 2000, true)"
                         value="#{gestionarSolicitud.solicitud.observaciones}" cols="70"
                         rows="3" disabled="#{!gestionarSolicitud.editando or gestionarSolicitud.solicitud.id ne null}" />

    </h:panelGrid>
</h:panelGrid>
